### Virtual Method

# ECal ReminderWatcher cal_client_connect

#### Declaration [src]

    void
    cal_client_connect (
      EReminderWatcher* watcher,
      ESource* source,
      ECalClientSourceType source_type,
      guint32 wait_for_connected_seconds,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`source`

  Type: `ESource`

  No description available.

  The data is owned by the caller of the method.

`source_type`

  Type: `ECalClientSourceType`

  No description available.

`wait_for_connected_seconds`

  Type: `guint32`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.